<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Charts_Scatter_Line.php 110 2009-06-16 10:37:28Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

require_once PATH_OFC.'/Charts/OFC_Charts_Scatter.php';

/**
 * @package		OpenFlashCharts
 */
class OFC_Charts_Scatter_Line extends OFC_Charts_Scatter
{
	/**
	 * @var	string	The chart type.
	 */
	public $type = 'scatter_line';

	public $colour;

	public $width;

	/**
	 * Constructor
	 *
	 * @value	string	The hex colour for the points
	 * @value	int		The width of the line.
	 */
	public function __construct($colour = '#333333', $width = 3)
	{
		$this->set_colour($colour);
		$this->set_width($width);
	}

	public function set_default_dot_style($style)
	{
		$this->{'dot-style'} = $style;
	}

	public function set_width($width)
	{
		$this->width = $width;
	}

	public function set_step_horizontal()
	{
		$this->stepgraph = 'horizontal';
	}

	public function set_step_vertical()
	{
		$this->stepgraph = 'vertical';
	}

	public function set_key($text, $font_size)
	{
		$this->text      = $text;
		$this->{'font-size'} = $font_size;
	}
}

/**
 * @package		OpenFlashCharts
 */
class OFC_Charts_Scatter_Hollow_Dot
{
	public $type = 'hollow-dot';

	public function __construct($size = 3, $halo = 2)
	{
		$this->{'dot-size'} = $size;
		$this->{'halo-size'} = $halo;
	}
}
